// rollup.config.js

// 读取json文件
import json from 'rollup-plugin-json';

// rollup打包默认不会打包引入的包，需要引入该插件，该插件可以告诉 Rollup 如何查找外部模块
import resolve from 'rollup-plugin-node-resolve';

import { version } from './package.json';

export default {
    input: 'src/index.js',
    output: {
      file: './lib/hubble-sdk-node.js',
      format: 'cjs',
      banner: '/* sdk 版本 ' + version + ' */',
      footer: '/* 关注Hubble平台:https://hubble.netease.com; 有问题请联系我：hzwangyang1@corp.netease.com  */',
      strict: false
    },
    plugins: [ 
        json(), 
        resolve()
    ],
    external: ['https','crypto'],
    // 要监听的文件
    watch: {
        include: 'src/**',
        exclude: 'node_modules/**'
    }
};