import { version } from '../package.json';

const Config = {
    DEBUG: false,
    sdkVersion: version,
    // Hubble平台host
    api_host: 'hubble.netease.com',
    abtest_url: '/cc/a_exp/',
    // 日志上报的路径
    track_url: '/track/s/',
    abtest: {
        enable_abtest: false,
        timeoutMs: 500
    }
};

// 事件类型
// 默认事件类型，自定义
const DATATYPE = 'e';

//内置事件列表
const DEFAULTEVENTID = {
    //表示会话开始事件
    'da_session_start': {
        'dataType': 'ie'
    },
    //表示会话结束事件
    'da_session_close': {
        'dataType': 'ie'
    },
    //通过用户登陆传入的 userId 信息来映射设备 ID, 用户登出事件
    'da_u_login': {
        'dataType': 'ie'
    },
    //用户登录事件
    'da_u_logout': {
        'dataType': 'ie'
    },
    //用户 ID 关联 绑定输入的 newUserId 和已有 userID，用户注册等同一用户 userId 变动场景。
    'da_u_signup': {
        'dataType': 'ie'
    },
    //用户属性设置内部事件
    'da_user_profile': {
        'dataType': 'ie'
    },
    //页面浏览事件，浏览是一大类用户交互集合，设计特定 dataType = “pv”
    'da_screen': {
        'dataType': 'pv'
    },
    //广告点击事件
    'da_ad_click': {
        'dataType': 'ie'
    },
    //应用激活事件，应用第一次打开时发送
    'da_activate': {
        'dataType': 'ie'
    },
    //abtest事件 
    'da_abtest': {
        'dataType': 'ie'
    },
    // 发送数据异常错误
    'da_send_error': {
        'dataType': 'ie'
    }
};

// 用户属性系统保留属性
const PEOPLE_RESERVED_PROPERTY = [];
// 用户属性上报数据所属事件id
const PEOPLE_PROPERTY_ID = 'da_user_profile';

// sdk上报数据所属类型
const SDKTYPE = 'server-node';




//module.exports = {Config, DATATYPE, DEFAULTEVENTID, PEOPLE_RESERVED_PROPERTY, PEOPLE_PROPERTY_ID, SDKTYPE};

export {Config, DATATYPE, DEFAULTEVENTID, PEOPLE_RESERVED_PROPERTY, PEOPLE_PROPERTY_ID, SDKTYPE};